# Get scorecard

Retrieve an application's [scorecard](https://docs.moneythumb.com/api/pdf-insights/scorecard).

Endpoint: POST /scorecard
Version: 1.5
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)

## Path parameters:

  - `version` (string, required)
    The version of the API.

## Request fields (multipart/form-data):

  - `appid` (integer, required)
    Insights-assigned application identifer.

  - `sections` (string)
    The scorecard sections to return. This field can either contain a single section name or multiple section names. To have multiple sections returned, write each section name separated by commas. For a list of valid section names, see the object name of the section in the [Scorecard Reference page](https://docs.moneythumb.com/api/pdf-insights/scorecard). This overrides what is defined in the user profile.

## Response 200:

  - `200` (unknown)
    Request successful.

## Response 200 fields (application/json):

  - `_metadata` (object)

  - `_metadata.someTransactionsExcludedDueToValidationFailures` (boolean)

  - `_metadata.numFileConversionsInProgress` (integer)

  - `_metadata.warnings` (string)
    Example: Section 'combinedsummary' encountered an error.

  - `metrics` (object)

  - `metrics.metricdata` (array)
    Average monthly and annualized revenue statistics.

  - `prequalifyrules` (object)
    The prequalification rules of why a merchant application was rejected. This information only appears if you have prequalify enabled. To enable prequalify, please contact [MoneyThumb Support](https://www.moneythumb.com/support/).

  - `prequalifyrules.labels` (array)

  - `prequalifyrules.labels.label` (string)

  - `prequalifyrules.labels.name` (string)

  - `prequalifyrules.columns` (array)

  - `prequalifyrules.columns.name` (string)

  - `prequalifyrules.columns.data` (string)

  - `prequalifyrules.data` (array)

  - `prequalifyrules.data.rule_name` (string)
    The name of the prequalification rule.

  - `prequalifyrules.data.actual_value` (string)
    The merchant application amount for this rule.

  - `prequalifyrules.data.threshold` (integer)
    The threshold amount for this rule.

  - `prequalifypassedrules` (object)
    The list of rules that passed  prequalification. This information only appears if you have prequalify enabled. To enable prequalify, please contact [MoneyThumb Support](https://www.moneythumb.com/support/).

  - `prequalifypassedrules.labels` (array)

  - `prequalifypassedrules.labels.label` (string)

  - `prequalifypassedrules.labels.name` (string)

  - `prequalifypassedrules.columns` (array)

  - `prequalifypassedrules.columns.name` (string)

  - `prequalifypassedrules.columns.data` (string)

  - `prequalifypassedrules.data` (array)

  - `prequalifypassedrules.data.rule_name` (string)
    The name of the rule that passed prequalification.

  - `debtsummary` (object)
    Monthly summary of loan withdrawals by type.

  - `debtsummary.labels` (array)

  - `debtsummary.labels.label` (string)

  - `debtsummary.labels.name` (string)

  - `debtsummary.columns` (array)

  - `debtsummary.columns.name` (string)

  - `debtsummary.columns.data` (string)

  - `debtsummary.data` (array)

  - `debtsummary.data.DT_RowId` (string)

  - `debtsummary.data.month` (string)
    Month

  - `debtsummary.data.mca` (string)
    Total MCA withdrawals for the month.

  - `debtsummary.data.nonmcaloan` (string)
    Total amount of Non-MCA withdrawals for the month.

  - `debtsummary.data.autofinance` (string)
    Total auto-finance loan withdrawals for the month.

  - `debtsummary.data.studentloan` (string)
    Total student loan withdrawals for the month.

  - `debtsummary.data.mortgage` (string)
    Total mortgage withdrawals for the month.

  - `debtsummary.data.personalloan` (string)
    Total personal loan withdrawals for the month.

  - `debtsummary.data.total` (string)
    Total amount of debt withdrawals for the month.

  - `operatingexpenses` (object)
    Monthly summary of business operation expenses by type.

  - `operatingexpenses.labels` (array)

  - `operatingexpenses.labels.label` (string)

  - `operatingexpenses.labels.name` (string)

  - `operatingexpenses.columns` (array)

  - `operatingexpenses.columns.name` (string)

  - `operatingexpenses.columns.data` (string)

  - `operatingexpenses.data` (array)

  - `operatingexpenses.data.DT_RowId` (string)

  - `operatingexpenses.data.month` (string)
    Month

  - `operatingexpenses.data.payroll` (string)
    The total amount of payroll-related expenses for the month.

  - `operatingexpenses.data.insurance` (string)
    The total amount of insurance-related expenses for the month.

  - `operatingexpenses.data.toll` (string)
    The total amount of toll-related expenses for the month.

  - `operatingexpenses.data.construction` (string)
    The total amount of construction-related expenses for the month.

  - `operatingexpenses.data.eCommerce` (string)
    The total amount of ecommerce-related expenses for the month.

  - `operatingexpenses.data.mcafees` (string)
    The total amount of MCA fees for the month.

  - `operatingexpenses.data.utilities` (string)
    The total amount of utility-related expenses for the month.

  - `operatingexpenses.data.total` (string)
    The total amount of overall business expenses for the month.

  - `accountslist` (object)

  - `accountslist.columns` (array)

  - `accountslist.columns.name` (string)

  - `accountslist.columns.data` (string)

  - `accountslist.labels` (array)

  - `accountslist.labels.label` (string)

  - `accountslist.labels.name` (string)

  - `accountslist.data` (array)

  - `accountslist.data.DT_RowId` (string)

  - `accountslist.data.accountidx` (string)
    The unique integer identifier of the account within this scorecard.

  - `accountslist.data.account` (string)
    Account number.  It may be masked or made artificially unique based on user settings.

  - `accountslist.data.start_date` (string)
    The first date of statement in [MMM DD, YYYY] format.

  - `accountslist.data.ending_date` (string)
    The last date of statement in [MMM DD, YYYY] format.

  - `accountslist.data.statement_year` (integer)
    The statement year as an integer. For example, 2024.

  - `accountslist.data.statement_month` (string)
    The statement month as a full month string. For example, "January".

  - `accountslist.data.statement_month_num` (integer)
    The statement month as an integer. For example, 1.

  - `accountslist.data.statement_month_num_and_name` (string)
    The statement month as an integer and string. For example, "1 - January".

  - `accountslist.data.fraud_score` (integer)
    The thumbprint fraud score as an integer.

  - `accountslist.data.reconciled` (string)
    The statement reconciled indicator, true or false.

  - `accountslist.data.total_credits` (number)
    The total currency value of all credits.

  - `accountslist.data.true_credits` (number)
    The total currency value of all true credits.

  - `accountslist.data.non-true_credits` (number)
    The total currency value of all non-true credits.

  - `accountslist.data.other_credits` (number)
    The total amount of untrue credits excluding MCA credits.

  - `accountslist.data.num_credits` (integer)
    The number of credit transactions.

  - `accountslist.data.num_true_credits` (integer)
    The number of true credit transactions.

  - `accountslist.data.num_non-true_credits` (integer)
    The number of non-true credit transactions.

  - `accountslist.data.num_other_credits` (integer)
    The total number of untrue credits excluding MCA credits.

  - `accountslist.data.total_debits` (number)
    The total currency value of all debits.

  - `accountslist.data.true_debits` (number)
    The total currency value of all true debits.

  - `accountslist.data.non-true_debits` (number)
    The total currency value of all non-true debits.

  - `accountslist.data.net_cashflow` (number)
    Total credits minus total debits.

  - `accountslist.data.avg_balance` (number)
    The average daily balance during the statement period.

  - `accountslist.data.min_balance` (number)
    The minimum daily balance during the statement period.

  - `accountslist.data.avg_true_balance` (number)
    The average daily true balance during the statement period.

  - `accountslist.data.starting_balance` (number)
    The starting balance of the statement.

  - `accountslist.data.ending_balance` (number)
    The ending balance of the statement.

  - `accountslist.data.balance_match` (boolean)
    Indicates if the starting balance of this statement match the ending balance of the previous one.

  - `accountslist.data.month_gap` (boolean)
    Indicates if there is a gap in dates between this statement and the previous one.

  - `accountslist.data.bank_name` (string)
    Name of the bank that produced this statement.

  - `accountslist.data.account_owner` (string)
    Owner of the account as found on the statement.

  - `accountslist.data.file_previously_seen` (integer)
    Shows the number of times a file was seen in the last 3 days.

  - `accountslist.data.bank_address` (string)
    Shows the physical address of the bank.

  - `accountslist.data.bank_city` (string)
    Shows the city where the bank is located.

  - `accountslist.data.bank_state` (string)
    Shows the state where the bank is located.

  - `accountslist.data.fdic_bank_name` (string)
    Shows the FDIC bank name.

  - `accountslist.data.bank_zipcode` (string)
    Shows the zip code of the bank.

  - `accountslist.data.num_of_mca_positions` (integer)
    The number of MCAs with deposits in the statement.

  - `accountslist.data.mcas_with_deposits` (string)
    The list of the MCA companies with deposits in the statement.

  - `accountslist.data.mca_deposit_dates` (string)
    The deposit dates from the MCA.

  - `accountslist.data.mca_credits_net_returns` (string)
    The sum of MCA Credits minus MCA Returns.

  - `accountslist.data.days_neg` (integer)
    The number of days with a negative balance during the statement period.

  - `accountslist.data.low_days` (integer)
    The number of days with a low balance during the statement period.

  - `accountslist.data.num_nsfs` (integer)
    Number of NSF transactions.

  - `accountslist.data.total_nsfs` (number)
    Currency amount of NSF transactions.

  - `accountslist.data.num_ods` (integer)
    Number of overdrafts.

  - `accountslist.data.total_overdraft_amount` (number)
    Currency amount of overdrafts.

  - `accountslist.data.num_stops` (integer)
    Number of stop payments.

  - `accountslist.data.days_w_returns` (integer)
    Number of days with return transactions.

  - `accountslist.data.num_transfers` (integer)
    The number of transfers.

  - `accountslist.data.transfers_total` (number)
    The total amount of transfers.

  - `accountslist.data.num_incoming_transfers` (integer)
    The number of incoming transfers.

  - `accountslist.data.total_incoming_transfers` (number)
    The total amount of incoming transfers.

  - `accountslist.data.num_outgoing_transfers` (integer)
    The number of the outgoing transfers.

  - `accountslist.data.total_outgoing_transfers` (number)
    The total amount of outgoing transfers.

  - `accountslist.data.mca_debits` (number)
    Total amount of MCA debits in statements.

  - `accountslist.data.mca_credits` (number)
    Total amount of MCA credits in statements.

  - `accountslist.data.recovery_debits` (number)
    Total amount of recovery debits in statements.

  - `accountslist.data.recovery_credits` (number)
    Total amount of recovery credits in statements.

  - `accountslist.data.num_mcas` (integer)
    Number of MCA companies found.

  - `accountslist.data.mca_withhold_percent` (number)
    Percentage of total MCA debits out of true credits.

  - `accountslist.data.num_investments` (integer)
    Number of investment transactions.

  - `accountslist.data.investments_total` (number)
    Currency value of investment transactions.

  - `accountslist.data.num_mobile_payments` (integer)
    Count of mobile payments.

  - `accountslist.data.mobile_payments_total` (number)
    Total amount of mobile payments.

  - `accountslist.data.num_factoring` (integer)
    The number of factoring transactions.

  - `accountslist.data.factoring_total` (number)

  - `accountslist.data.num_nefarious_transactions` (integer)
    The number of nefarious transactions.

  - `accountslist.data.nefarious_transactions_total` (number)
    The total amount of nefarious transactions.

  - `accountslist.data.num_other_financing_transactions` (integer)
    The number of other financing transactions.

  - `accountslist.data.other_financing_transactions_total` (number)
    The total amount of other financing transactions.

  - `accountslist.data.num_payroll` (integer)
    The number of payroll transactions.

  - `accountslist.data.payroll_total` (number)
    The total amount of payroll transactions.

  - `accountslist.data.num_healthcare_claims` (integer)
    The number of healthcare claim transactions.

  - `accountslist.data.healthcare_claims_total` (number)
    The total amount of healthcare claim transactions.

  - `accountslist.data.num_tolls` (integer)
    The number of toll transactions.

  - `accountslist.data.tolls_total` (number)
    The total amount of toll transactions.

  - `accountslist.data.num_payment_processor_transactions` (integer)
    The number of payment processor transactions.

  - `accountslist.data.total_payment_processor_transactions` (integer)
    The total amount of payment processor transactions.

  - `accountslist.data.total_nondescript_revenue` (number)
    The total amount of nondescript revenue transactions.

  - `accountslist.data.num_nondescript_revenue_transactions` (integer)
    The number of nondescript revenue transactions.

  - `accountslist.data.total_non-mca_loans` (number)
    The total amount of non-MCA loan transactions.

  - `accountslist.data.number_of_non-mca_loan_transactions` (number)
    The total number of non-MCA loan transactions.

  - `accountslist.data.num_mca_loan_payments` (integer)
    The number of MCA loan payments.

  - `accountslist.data.total_mca_loan_payments` (number)
    The total amount of MCA loan payments.

  - `accountslist.data.num_mobile_payment_debit` (integer)
    The number of mobile payment debits.

  - `accountslist.data.total_mobile_payment_debit` (number)
    The total amount of mobile payment debits.

  - `accountslist.data.num_nefarious_withdrawals` (integer)
    The number of nefarious withdrawals.

  - `accountslist.data.total_nefarious_withdrawal` (number)
    The total amount of nefarious withdrawals.

  - `accountslist.data.num_debt_collector` (integer)
    The number of debt collectors.

  - `accountslist.data.total_debt_collector` (number)
    The total amount of debt collectors.

  - `accountslist.data.num_atm_withdrawals` (integer)
    The number of ATM withdrawals.

  - `accountslist.data.total_atm_withdrawals` (number)
    The total amount of ATM withdrawals.

  - `accountslist.data.num_construction_debits` (integer)
    The number of construction debits.

  - `accountslist.data.total_construction_debits` (number)
    The total amount of construction debits.

  - `accountslist.data.num_insurance` (integer)
    The number of insurance transactions.

  - `accountslist.data.total_insurance` (number)
    The total amount of insurance transactions.

  - `accountslist.data.num_of_returns` (integer)
    The number of returns.

  - `accountslist.data.total_returns` (number)
    The total amount of returns.

  - `accountslist.data.num_of_other_debits` (integer)
    The number of other debits.

  - `accountslist.data.total_other_debits` (number)
    The total amount of other debits.

  - `combinedsummary` (object)

  - `combinedsummary.columns` (array)

  - `combinedsummary.columns.name` (string)

  - `combinedsummary.columns.data` (string)

  - `combinedsummary.labels` (array)

  - `combinedsummary.labels.label` (string)

  - `combinedsummary.labels.name` (string)

  - `combinedsummary.data` (array)

  - `combinedsummary.data.DT_RowId` (string)

  - `combinedsummary.data.month` (string)
    Month and year
    Example: February 2020

  - `combinedsummary.data.daysMissing` (integer)

  - `combinedsummary.data.totalcredits` (number)
    The total currency value of all credits.

  - `combinedsummary.data.totaltruecredits` (number)
    The total currency value of all true credits.

  - `combinedsummary.data.totaladjcredits` (number)
    The total currency value of all non-true credits.

  - `combinedsummary.data.numbercredits` (integer)
    The number of credit transactions.

  - `combinedsummary.data.numbertruecredits` (integer)
    The number of true credit transactions.

  - `combinedsummary.data.numberadjcredits` (integer)
    The number of non-true credit transactions.

  - `combinedsummary.data.totaldebits` (number)
    The total currency value of all debits.

  - `combinedsummary.data.totaltruedebits` (number)
    The total currency value of all true debits.

  - `combinedsummary.data.totaladjdebits` (number)
    The total currency value of all non-true debits.

  - `combinedsummary.data.numberdebits` (integer)
    The number of debit transactions.

  - `combinedsummary.data.numbertruedebits` (integer)
    The number of true debit transactions.

  - `combinedsummary.data.numberadjdebits` (integer)
    The number of non-true debit transactions.

  - `combinedsummary.data.averagebalance` (number)
    The average daily balance during the month.

  - `combinedsummary.data.averagetruebalance` (number)
    The average daily true balance during the month.

  - `combinedsummary.data.startbalance` (number)
    The starting balance of the month.

  - `combinedsummary.data.endbalance` (number)
    The ending balance of the month.

  - `combinedsummary.data.daysnegative` (integer)
    The number of days with a negative balance during the month.

  - `combinedsummary.data.dayslow` (integer)
    The number of days with a low balance during the month.

  - `combinedsummary.data.numbernsf` (integer)
    The number of NSF transactions for the month.

  - `combinedsummary.data.numberod` (integer)
    Number of overdrafts for the month.

  - `combinedsummary.data.numberstops` (integer)
    Number of stop payments for the month.

  - `combinedsummary.data.dayswithreturns` (integer)
    The number of days with return transactions for the month.

  - `combinedsummary.data.numbertransfers` (integer)
    The number of transfers.

  - `combinedsummary.data.numbertransfersincoming` (integer)
    The number of incoming transfers.

  - `combinedsummary.data.numbertransfersoutgoing` (integer)
    The number of the outgoing transfers.

  - `combinedsummary.data.nummca` (integer)
    Number of MCA companies found.

  - `combinedsummary.data.mcadebits` (number)
    Total amount of MCA debits for the month.

  - `combinedsummary.data.mcacredits` (number)
    The total amount of MCA credits for the month.

  - `combinedsummary.data.recoverydebits` (number)
    The total amount of recovery debits for the month.

  - `combinedsummary.data.recoverycredits` (number)
    Total amount of recovery credits for the month.

  - `combinedsummary.data.transferstotal` (number)
    The total amount of transfers for the month.

  - `combinedsummary.data.outgoingtransferstotal` (number)
    The number of the outgoing transfers for the month.

  - `combinedsummary.data.incomingtransferstotal` (number)
    The total amount of incoming transfers for the month.

  - `combinedsummary.data.minimumbalance` (number)
    The minimum daily balance during the month.

  - `combinedsummary.data.investmentscount` (integer)
    The number of investment transactions for the month.

  - `combinedsummary.data.investmentstotal` (number)
    Currency value of investment transactions for the month.

  - `combinedsummary.data.mobilepaymentscount` (integer)
    The number of mobile payments credits for the month.

  - `combinedsummary.data.mobilepaymentstotal` (number)
    The total amount of mobile payments for the month.

  - `truerev6mo` (object)

  - `truerev6mo.columns` (array)

  - `truerev6mo.columns.name` (string)

  - `truerev6mo.columns.data` (string)

  - `truerev6mo.labels` (array)

  - `truerev6mo.labels.label` (string)

  - `truerev6mo.labels.name` (string)

  - `truerev6mo.data` (array)

  - `truerev6mo.data.0` (object)
    Data values matching 0th column.  Repeated for all columns

  - `truerev6mo.data.0.revenue` (number)

  - `truerev6mo.data.0.percentChange` (number)

  - `truerev6mo.data.accountNumber` (string)
    Account number or Total
    Example: 123456789

  - `taxscorelist` (object)

  - `taxscorelist.labels` (array)

  - `taxscorelist.labels.label` (string)

  - `taxscorelist.labels.name` (string)

  - `taxscorelist.columns` (array)

  - `taxscorelist.columns.name` (string)

  - `taxscorelist.columns.data` (string)

  - `taxscorelist.data` (array)

  - `taxscorelist.data.DT_RowId` (string)

  - `taxscorelist.data.source` (string)
    Location of the value
    Example: Income Statement

  - `taxscorelist.data.form_1120_(2014)` (number)
    Value
    Example: 1205.20

  - `thumbprints` (object)

  - `thumbprints.labels` (array)

  - `thumbprints.labels.label` (string)

  - `thumbprints.labels.name` (string)

  - `thumbprints.columns` (array)

  - `thumbprints.columns.name` (string)

  - `thumbprints.columns.data` (string)

  - `thumbprints.data` (array)

  - `thumbprints.data.DT_RowId` (string)

  - `thumbprints.data.account` (string)
    Account number
    Example: 123456789

  - `thumbprints.data.end_date` (string)
    Last day of statement
    Example: 2020-03-31

  - `thumbprints.data.thumbprint_score` (integer)
    Thumbprint score
    Example: 980

  - `thumbprints.data.contributing_factors` (string)
    New-line delimited list of contributors to the Thumbprint score
    Example: Currency column positions...
PDF producer not...


  - `thumbprints.data.statement_id` (integer)
    Statement identifier
    Example: 123

  - `monthlymca` (object)

  - `monthlymca.labels` (array)

  - `monthlymca.labels.label` (string)

  - `monthlymca.labels.name` (string)

  - `monthlymca.columns` (array)

  - `monthlymca.columns.name` (string)

  - `monthlymca.columns.data` (string)

  - `monthlymca.data` (array)

  - `monthlymca.data.DT_RowId` (string)

  - `monthlymca.data.month` (date)
    Date in YYYY-MM-DD format
    Example: 2020-03-31

  - `monthlymca.data.workdays` (integer)
    Number of workdays in the month
    Example: 22

  - `monthlymca.data.account` (string)
    Account number
    Example: 12345678

  - `monthlymca.data.lender` (string)
    Name of the MCA lender
    Example: ACME MCA

  - `monthlymca.data.withdrawal_count` (integer)
    Number of withdrawals
    Example: 5

  - `monthlymca.data.withdrawal_total` (number)
    Total currency amount of withdrawals
    Example: -15872.20

  - `monthlymca.data.deposit_total` (number)
    Total currency amount of deposits
    Example: 20000.00

  - `monthlymca.data.deposit_dates` (string)
    List of YYYY-MM-DD formatted dates of deposits
    Example: 2023-03-09, 2023-03-15

  - `monthlymca.data.latest_withdrawal_amount` (number)
    Currency amount of latest withdrawalcount
    Example: 511.60

  - `mcachanges` (object)
    Shows the MCA transactions where the withdrawal amounts changed.

  - `mcachanges.labels` (array)

  - `mcachanges.labels.label` (string)

  - `mcachanges.labels.name` (string)

  - `mcachanges.columns` (array)

  - `mcachanges.columns.name` (string)

  - `mcachanges.columns.data` (string)

  - `mcachanges.data` (array)

  - `mcachanges.data.DT_RowId` (string)

  - `mcachanges.data.account` (string)
    Account number
    Example: 12345678

  - `mcachanges.data.lender` (string)
    Name of the MCA lender
    Example: ACME MCA

  - `mcachanges.data.date` (date)
    Date in YYYY-MM-DD format
    Example: 2020-03-31

  - `mcachanges.data.description` (string)
    The description of the MCA transaction.

  - `mcachanges.data.amount` (float)
    The amount of the withdrawal change.
    Example: -753.53

  - `mcachanges.data.memo` (string)
    The memo from the transacation.

  - `mcachanges.data.checkNumber` (integer)
    The check number.

  - `mcachanges.data.type` (string)
    the type of transaction, if any.

  - `mcachanges.data.change` (float)
    Shows how much a withdrawal changed in a MCA transaction.
    Example: Decrease 215.19

  - `mcacompanies` (object)

  - `mcacompanies.labels` (array)

  - `mcacompanies.labels.label` (string)

  - `mcacompanies.labels.name` (string)

  - `mcacompanies.columns` (array)

  - `mcacompanies.columns.name` (string)

  - `mcacompanies.columns.data` (string)

  - `mcacompanies.data` (array)

  - `mcacompanies.data.DT_RowId` (string)

  - `mcacompanies.data.lender` (string)
    Name of the MCA lender.
    Example: ACME MCA

  - `mcacompanies.data.month` (date)
    Date in YYYY-MM-DD format.
    Example: 2020-03-31

  - `mcacompanies.data.workdays` (integer)
    Number of workdays in the month.
    Example: 22

  - `mcacompanies.data.term` (number)
    Example: 150.51

  - `mcacompanies.data.withdrawal_count` (integer)
    The number of withdrawals.
    Example: 5

  - `mcacompanies.data.withdrawal_total` (number)
    Total currency amount of withdrawals.
    Example: -15872.20

  - `mcacompanies.data.withdrawal_percent` (number)
    Example: 19%

  - `mcacompanies.data.deposit_count` (integer)
    Number of deposits.
    Example: 1

  - `mcacompanies.data.deposit_total` (number)
    Total currency amount of deposits.
    Example: 20000.00

  - `mcacompanies.data.withdrawal_frequency` (string)
    Frequency of withdrawals.
    Enum: "Daily", "Every Other Day", "Weekly", "Monthly"

  - `mcacompanies.data.deposit_dates` (string)
    List of YYYY-MM-DD formatted dates of deposits
    Example: 2023-03-09, 2023-03-15

  - `mcacompanies.data.last_withdrawal_date` (string)
    Date of latest withdrawal.
    Example: 2020-03-15

  - `mcacompanies.data.last_withdrawal_amount` (number)
    Currency amount of latest withdrawal count.
    Example: 511.60

  - `recoverycompanies` (object)

  - `recoverycompanies.labels` (array)

  - `recoverycompanies.labels.label` (string)

  - `recoverycompanies.labels.name` (string)

  - `recoverycompanies.columns` (array)

  - `recoverycompanies.columns.name` (string)

  - `recoverycompanies.columns.data` (string)

  - `recoverycompanies.data` (array)

  - `recoverycompanies.data.DT_RowId` (string)

  - `recoverycompanies.data.lender` (string)
    Name of the MCA lender
    Example: ACME MCA

  - `recoverycompanies.data.month` (date)
    Date in YYYY-MM-DD format
    Example: 2020-03-31

  - `recoverycompanies.data.workdays` (integer)
    Number of workdays in the month
    Example: 22

  - `recoverycompanies.data.term` (number)
    Example: 150.51

  - `recoverycompanies.data.withdrawal_count` (integer)
    Number of withdrawals
    Example: 5

  - `recoverycompanies.data.withdrawal_total` (number)
    Total currency amount of withdrawals
    Example: -15872.20

  - `recoverycompanies.data.withdrawal_percent` (number)
    Example: 19%

  - `recoverycompanies.data.deposit_count` (integer)
    Number of deposits
    Example: 1

  - `recoverycompanies.data.deposit_total` (number)
    Total currency amount of deposits
    Example: 20000.00

  - `recoverycompanies.data.withdrawal_frequency` (string)
    Frequency of withdrawals
    Enum: "Daily", "Every Other Day", "Weekly", "Monthly"

  - `recoverycompanies.data.deposit_dates` (string)
    List of YYYY-MM-DD formatted dates of deposits
    Example: 2023-03-09, 2023-03-15

  - `recoverycompanies.data.last_withdrawal_date` (string)
    Date of latest withdrawal
    Example: 2020-03-15

  - `recoverycompanies.data.last_withdrawal_amount` (number)
    Currency amount of latest withdrawalcount
    Example: 511.60

  - `dailybalance` (object)

  - `dailybalance.labels` (array)

  - `dailybalance.labels.label` (string)

  - `dailybalance.labels.name` (string)

  - `dailybalance.columns` (array)

  - `dailybalance.columns.name` (string)

  - `dailybalance.columns.data` (string)

  - `dailybalance.data` (array)

  - `dailybalance.data.DT_RowId` (string)

  - `dailybalance.data.date` (string)
    Last day of the month
    Example: 2020-03-31

  - `dailybalance.data.12345678_balance` (number)
    Balance of account 12345678.  Repeated for each account.
    Example: 12345.67

  - `dailybalance.data.12345678_true_balance` (number)
    True balance of account 12345678.  Repeated for each account.
    Example: 12345.67

  - `declinelist` (object)

  - `declinelist.labels` (array)

  - `declinelist.labels.label` (string)

  - `declinelist.labels.name` (string)

  - `declinelist.columns` (array)

  - `declinelist.columns.name` (string)

  - `declinelist.columns.data` (string)

  - `declinelist.data` (array)

  - `declinelist.data.decline_reason` (string)
    The reason why a MCA or recovery company is banned. If you have prequalify enabled, this says `Prequalify Rule Failure`.

  - `declinelist.data.details` (number)
    The name of the MCA or recovery company. For Prequalify, this will be the rule that resulted in the decline.

  - `utilities` (object)
    List of payments made to utility companies found in an application.

  - `utilities.accountidx` (integer)
    The index of account from `accountslist`.

  - `utilities.account` (string)
    Account number.
    Example: 12345678

  - `utilities.id` (integer)
    The unique ID of the transaction.

  - `utilities.date` (string)
    The date of the transaction.

  - `utilities.description` (string)
    The description of the transaction.

  - `utilities.amount` (number)
    The amount of the transaction.

  - `utilities.memo` (string)
    The memo from the transacation.

  - `utilities.number` (integer)
    Check number

  - `dailycashflow` (object)

  - `dailycashflow.labels` (array)

  - `dailycashflow.labels.label` (string)

  - `dailycashflow.labels.name` (string)

  - `dailycashflow.columns` (array)

  - `dailycashflow.columns.name` (string)

  - `dailycashflow.columns.data` (string)

  - `dailycashflow.data` (array)

  - `dailycashflow.data.DT_RowId` (string)

  - `dailycashflow.data.date` (string)
    Day
    Example: 2020-03-31

  - `dailycashflow.data.12345678_cash_flow` (number)
    Cashflow for account 12345678.  Repeated for each account.
    Example: 12345.67

  - `dailycashflow.data.12345678_true_cash_flow` (number)
    Cashflow for account 12345678, excluding non-true credits.  Repeated for each account.
    Example: 12345.67

  - `monthlycashflow` (object)

  - `monthlycashflow.labels` (array)

  - `monthlycashflow.labels.label` (string)

  - `monthlycashflow.labels.name` (string)

  - `monthlycashflow.columns` (array)

  - `monthlycashflow.columns.name` (string)

  - `monthlycashflow.columns.data` (string)

  - `monthlycashflow.data` (array)

  - `monthlycashflow.data.DT_RowId` (string)

  - `monthlycashflow.data.month` (string)
    Month and year
    Example: February 2020

  - `monthlycashflow.data.12345678_cash_flow` (number)
    Cashflow for account 12345678.  Repeated for each account.
    Example: 12345.67

  - `monthlycashflow.data.12345678_true_cash_flow` (number)
    Cashflow for account 12345678, excluding non-true credits.  Repeated for each account.
    Example: 12345.67

  - `monthlynegativedays` (object)

  - `monthlynegativedays.labels` (array)

  - `monthlynegativedays.labels.label` (string)

  - `monthlynegativedays.labels.name` (string)

  - `monthlynegativedays.columns` (array)

  - `monthlynegativedays.columns.name` (string)

  - `monthlynegativedays.columns.data` (string)

  - `monthlynegativedays.data` (array)

  - `monthlynegativedays.data.DT_RowId` (string)

  - `monthlynegativedays.data.month` (string)
    Month and year
    Example: February 2020

  - `monthlynegativedays.data.combined_total_count` (integer)
    Example: 1

  - `monthlynegativedays.data.combined_weekdays_with_negative_balance` (integer)
    Example: 1

  - `monthlynegativedays.data.12345678_total_count` (number)
    Example: 1

  - `monthlynegativedays.data.12345678_weekdays_with_negative_balance` (number)
    Example: 1

  - `monthlynegativedays.data.12345678_true_total_count` (number)
    Example: 1

  - `monthlynegativedays.data.12345678_weekdays_with_true_negative_balance` (number)
    Example: 1

  - `monthlyrecovery` (object)

  - `monthlyrecovery.labels` (array)

  - `monthlyrecovery.labels.label` (string)

  - `monthlyrecovery.labels.name` (string)

  - `monthlyrecovery.columns` (array)

  - `monthlyrecovery.columns.name` (string)

  - `monthlyrecovery.columns.data` (string)

  - `monthlyrecovery.data` (array)

  - `monthlyrecovery.data.DT_RowId` (string)

  - `monthlyrecovery.data.month` (date)
    Date in YYYY-MM-DD format
    Example: 2020-03-31

  - `monthlyrecovery.data.workdays` (integer)
    Number of workdays in the month
    Example: 22

  - `monthlyrecovery.data.account` (string)
    Account number
    Example: 12345678

  - `monthlyrecovery.data.lender` (string)
    Name of the Recovery company
    Example: ACME Recovery

  - `monthlyrecovery.data.withdrawal_count` (integer)
    Number of withdrawals
    Example: 5

  - `monthlyrecovery.data.withdrawal_total` (number)
    Total currency amount of withdrawals
    Example: -15872.20

  - `monthlyrecovery.data.deposit_total` (number)
    Total currency amount of deposits
    Example: 20000.00

  - `monthlyrecovery.data.deposit_dates` (string)
    List of YYYY-MM-DD formatted dates of deposits
    Example: 2023-03-09, 2023-03-15

  - `monthlyrecovery.data.latest_withdrawal_amount` (number)
    Currency amount of latest withdrawalcount
    Example: 511.60

  - `debittrans` (object)

  - `debittrans.columns` (array)

  - `debittrans.columns.name` (string)

  - `debittrans.columns.data` (string)

  - `debittrans.labels` (array)

  - `debittrans.labels.label` (string)

  - `debittrans.labels.name` (string)

  - `debittrans.data` (array)

  - `debittrans.data.DT_RowId` (string)

  - `debittrans.data.accountidx` (integer)
    The index of account from `accountslist`.

  - `debittrans.data.account` (string)
    Account number.
    Example: 12345678

  - `debittrans.data.id` (integer)
    The unique ID of the transaction.

  - `debittrans.data.date` (string)
    The date of the transaction.

  - `debittrans.data.description` (string)
    The description of the transaction.

  - `debittrans.data.amount` (number)
    The amount of the transaction.

  - `debittrans.data.memo` (string)
    The memo from the transacation.

  - `debittrans.data.number` (integer)
    Check number

  - `debittrans.data.matches` (object)
    Match transfer details, if any.

  - `debittrans.data.matches.date` (string)
    The date of the match transfer.
    Example: 2026-04-16

  - `debittrans.data.matches.amount` (string)
    The amount of the match transfer.
    Example: -1000.00

  - `debittrans.data.matches.accountLabel` (string)
    The last 4 digits of the matched account.
    Example: 5216

  - `revenue_statistics` (array)
    Average monthly and annualized revenue statistics.

  - `revenue_statistics.label` (string)

  - `revenue_statistics.monthly` (number)

  - `revenue_statistics.annual` (number)

  - `debt_summary` (object)
    Monthly summary of loan withdrawals by type.

  - `debt_summary.labels` (array)

  - `debt_summary.labels.label` (string)

  - `debt_summary.labels.name` (string)

  - `debt_summary.columns` (array)

  - `debt_summary.columns.name` (string)

  - `debt_summary.columns.data` (string)

  - `debt_summary.data` (array)

  - `debt_summary.data.DT_RowId` (string)

  - `debt_summary.data.Month` (string)
    Month

  - `debt_summary.data.MCA` (string)
    Total MCA withdrawals for the month.

  - `debt_summary.data.Non-MCA Loan` (string)
    Total amount of Non-MCA withdrawals for the month.

  - `debt_summary.data.Auto Finance` (string)
    Total auto-finance loan withdrawals for the month.

  - `debt_summary.data.Student Loan` (string)
    Total student loan withdrawals for the month.

  - `debt_summary.data.Mortgage` (string)
    Total mortgage withdrawals for the month.

  - `debt_summary.data.Personal Loan` (string)
    Total personal loan withdrawals for the month.

  - `debt_summary.data.Total` (string)
    Total amount of debt withdrawals for the month.

  - `operating_expenses` (object)
    Monthly summary of business operation expenses by type.

  - `operating_expenses.labels` (array)

  - `operating_expenses.labels.label` (string)

  - `operating_expenses.labels.name` (string)

  - `operating_expenses.columns` (array)

  - `operating_expenses.columns.name` (string)

  - `operating_expenses.columns.data` (string)

  - `operating_expenses.data` (array)

  - `operating_expenses.data.DT_RowId` (string)

  - `operating_expenses.data.Month` (string)
    Month

  - `operating_expenses.data.Payroll` (string)
    The total amount of payroll-related expenses for the month.

  - `operating_expenses.data.Insurance` (string)
    The total amount of insurance-related expenses for the month.

  - `operating_expenses.data.Toll` (string)
    The total amount of toll-related expenses for the month.

  - `operating_expenses.data.Construction` (string)
    The total amount of construction-related expenses for the month.

  - `operating_expenses.data.ECommerce` (string)
    The total amount of ecommerce-related expenses for the month.

  - `operating_expenses.data.MCA Fees` (string)
    The total amount of MCA fees for the month.

  - `operating_expenses.data.Utilities` (string)
    The total amount of utility-related expenses for the month.

  - `operating_expenses.data.Total` (string)
    The total amount of overall business expenses for the month.

  - `Statements Summary` (array)

  - `Statements Summary.accountidx` (string)
    The unique integer identifier of the account within this scorecard.

  - `Statements Summary.account` (string)
    Account number.  It may be masked or made artificially unique based on user settings.

  - `Statements Summary.start_date` (string)
    The first date of statement in [MMM DD, YYYY] format.

  - `Statements Summary.ending_date` (string)
    The last date of statement in [MMM DD, YYYY] format.

  - `Statements Summary.statement_year` (integer)
    The statement year as an integer. For example, 2024.

  - `Statements Summary.statement_month` (string)
    The statement month as a full month string. For example, "January".

  - `Statements Summary.statement_month_num` (integer)
    The statement month as an integer. For example, 1.

  - `Statements Summary.statement_month_num_and_name` (string)
    The statement month as an integer and string. For example, "1 - January".

  - `Statements Summary.fraud_score` (integer)
    The thumbprint fraud score as an integer.

  - `Statements Summary.reconciled` (string)
    The statement reconciled indicator, true or false.

  - `Statements Summary.total_credits` (number)
    The total currency value of all credits.

  - `Statements Summary.true_credits` (number)
    The total currency value of all true credits.

  - `Statements Summary.nontrue_credits` (number)
    The total currency value of all non-true credits.

  - `Statements Summary.other_credits` (number)
    The total amount of untrue credits excluding MCA credits.

  - `Statements Summary.num_credits` (integer)
    The number of credit transactions.

  - `Statements Summary.num_true_credits` (integer)
    The number of true credit transactions.

  - `Statements Summary.num_nontrue_credits` (integer)
    THe number of non-true credit transactions.

  - `Statements Summary.num_other_credits` (integer)
    The total number of untrue credits excluding MCA credits.

  - `Statements Summary.total_debits` (number)
    The total currency value of all debits.

  - `Statements Summary.true_debits` (number)
    The total currency value of all true debits.

  - `Statements Summary.nontrue_debits` (number)
    The total currency value of all non-true debits.

  - `Statements Summary.net_cashflow` (number)
    Total credits minus total debits.

  - `Statements Summary.avg_balance` (number)
    The average daily balance during the statement period.

  - `Statements Summary.min_balance` (number)
    The minimum daily balance during the statement period.

  - `Statements Summary.avg_true_balance` (number)
    The average daily true balance during the statement period.

  - `Statements Summary.starting_balance` (number)
    The starting balance of the statement.

  - `Statements Summary.ending_balance` (number)
    The ending balance of the statement.

  - `Statements Summary.balance_match` (boolean)
    Indicates if the starting balance of this statement match the ending balance of the previous one

  - `Statements Summary.month_gap` (boolean)
    Indicates if there is a gap in dates between this statement and the previous one.

  - `Statements Summary.bank_name` (string)
    Name of the bank that produced this statement.

  - `Statements Summary.account_owner` (string)
    Owner of the account as found on the statement.

  - `Statements Summary.file_previously_seen` (integer)
    Shows the number of times a file was seen in the last 3 days.

  - `Statements Summary.bank_address` (string)
    Shows the physical address of the bank.

  - `Statements Summary.bank_city` (string)
    Shows the city where the bank is located.

  - `Statements Summary.bank_state` (string)
    Shows the state where the bank is located.

  - `Statements Summary.fdic_bank_name` (string)
    Shows the FDIC bank name.

  - `Statements Summary.bank_zipcode` (string)
    Shows the zip code of the bank.

  - `Statements Summary.num_of_mca_positions` (integer)
    The number of MCAs with deposits in the statement.

  - `Statements Summary.mcas_with_deposits` (string)
    The list of the MCA companies with deposits in the statement.

  - `Statements Summary.mca_deposit_dates` (string)
    The deposit dates from the MCA.

  - `Statements Summary.mca_credits_net_returns` (string)
    The sum of MCA Credits minus MCA Returns.

  - `Statements Summary.days_neg` (integer)
    The number of days with a negative balance during the statement period.

  - `Statements Summary.low_days` (integer)
    The number of days with a low balance during the statement period.

  - `Statements Summary.num_nsfs` (integer)
    Number of NSF transactions.

  - `Statements Summary.total_nsfs` (number)
    Currency amount of NSF transactions.

  - `Statements Summary.num_ods` (integer)
    Number of overdrafts.

  - `Statements Summary.total_overdraft_amount` (number)
    Currency amount of overdrafts.

  - `Statements Summary.num_stops` (integer)
    Number of stop payments.

  - `Statements Summary.days_w_returns` (integer)
    Number of days with return transactions.

  - `Statements Summary.num_transfers` (integer)
    The number of transfers.

  - `Statements Summary.transfers_total` (number)
    The total amount of transfers.

  - `Statements Summary.num_incoming_transfers` (integer)
    The number of incoming transfers.

  - `Statements Summary.incoming_transfers_total` (number)
    The total amount of incoming transfers.

  - `Statements Summary.num_outgoing_transfers` (integer)
    The number of the outgoing transfers.

  - `Statements Summary.outgoing_transfers_total` (number)
    The total amount of outgoing transfers.

  - `Statements Summary.mca_debits` (number)
    Total amount of MCA debits in statements.

  - `Statements Summary.mca_credits` (number)
    Total amount of MCA credits in statements.

  - `Statements Summary.recovery_debits` (number)
    Total amount of recovery debits in statements.

  - `Statements Summary.recovery_credits` (number)
    Total amount of recovery credits in statements.

  - `Statements Summary.num_mcas` (integer)
    Number of MCA companies found.

  - `Statements Summary.mca_withhold_percent` (number)
    Percentage of total MCA debits out of true credits.

  - `Statements Summary.num_investments` (integer)
    Number of investment transactions.

  - `Statements Summary.investments_total` (number)
    Currency value of investment transactions.

  - `Statements Summary.num_mobile_payments` (integer)
    Count of mobile payments.

  - `Statements Summary.mobile_payments_total` (number)
    Total amount of mobile payments.

  - `Statements Summary.num_factoring` (integer)
    The number of factoring transactions.

  - `Statements Summary.factoring_total` (number)
    The total amount of factoring transactions.

  - `Statements Summary.num_nefarious_transactions` (integer)
    The number of nefarious transactions.

  - `Statements Summary.nefarious_transactions_total` (number)
    The total amount of nefarious transactions.

  - `Statements Summary.num_other_financing_transactions` (integer)
    The number of other financing transactions.

  - `Statements Summary.other_financing_transactions_total` (number)

  - `Statements Summary.num_payroll` (integer)
    The number of payroll transactions.

  - `Statements Summary.payroll_total` (number)
    The total amount of payroll transactions.

  - `Statements Summary.num_healthcare_claims` (integer)
    The number of healthcare claim transactions.

  - `Statements Summary.healthcare_claims_total` (number)
    The total amount of healthcare claim transactions.

  - `Statements Summary.num_tolls` (integer)
    The number of toll transactions.

  - `Statements Summary.tolls_total` (number)
    The total amount of toll transactions.

  - `Statements Summary.num_payment_processor_transactions` (integer)
    The number of payment processor transactions.

  - `Statements Summary.total_payment_processor_transactions` (number)
    The total amount of payment processor transactions.

  - `Statements Summary.total_nondescript_revenue` (number)
    The total amount of nondescript revenue transactions.

  - `Statements Summary.num_nondescript_revenue_transactions` (integer)
    The number of nondescript revenue transactions.

  - `Statements Summary.total_nonmca_loans` (number)
    The total amount of non-MCA loan transactions.

  - `Statements Summary.number_of_nonmca_loan_transactions` (number)
    The total number of non-MCA loan transactions.

  - `Statements Summary.num_mca_loan_payments` (integer)
    The number of MCA loan payments.

  - `Statements Summary.total_mca_loan_payments` (number)
    The total amount of MCA loan payments.

  - `Statements Summary.num_mobile_payment_debit` (integer)
    The number of mobile payment debits.

  - `Statements Summary.total_mobile_payment_debit` (number)
    The total amount of mobile payment debits.

  - `Statements Summary.num_nefarious_withdrawals` (integer)
    The number of nefarious withdrawals.

  - `Statements Summary.total_nefarious_withdrawal` (number)
    The total amount of nefarious withdrawals.

  - `Statements Summary.num_debt_collector` (integer)
    The number of debt collectors.

  - `Statements Summary.total_debt_collector` (number)
    The total amount of debt collectors.

  - `Statements Summary.num_atm_withdrawals` (integer)
    The number of ATM withdrawals.

  - `Statements Summary.total_atm_withdrawals` (number)
    The total amount of ATM withdrawals.

  - `Statements Summary.num_construction_debits` (integer)
    The number of construction debits.

  - `Statements Summary.total_construction_debits` (number)
    The total amount of construction debits.

  - `Statements Summary.num_insurance` (integer)
    The number of insurance transactions.

  - `Statements Summary.total_insurance` (number)
    The total amount of insurance transactions.

  - `Statements Summary.num_of_returns` (integer)
    The number of returns.

  - `Statements Summary.total_returns` (number)
    The total amount of returns.

  - `Statements Summary.num_of_other_debits` (integer)
    The number of other debits.

  - `Statements Summary.total_other_debits` (number)
    The total amount of other debits.

  - `Debit Transactions` (array)

  - `Debit Transactions.accountidx` (integer)
    The index of account from `accountslist`.

  - `Debit Transactions.id` (integer)
    The unique ID of the transaction.

  - `Debit Transactions.date` (string)
    The date of the transaction.

  - `Debit Transactions.description` (string)
    The description of the transaction.

  - `Debit Transactions.amount` (number)
    The amount of the transaction.

  - `Debit Transactions.memo` (string)
    The memo from the transacation.

  - `Debit Transactions.number` (integer)
    Check number

  - `Debit Transactions.matches` (object)
    Match transfer details, if any.

  - `Debit Transactions.matches.date` (string)
    The date of the match transfer.
    Example: 2026-04-16

  - `Debit Transactions.matches.amount` (string)
    The amount of the match transfer.
    Example: -1000.00

  - `Debit Transactions.matches.accountLabel` (string)
    The last 4 digits of the matched account.
    Example: 5216

  - `Credit Card Account Payment` (array)

  - `Life Insurance` (array)

  - `Investment Debits` (array)

  - `MCA Refund` (array)

  - `MCA Without Refunds` (array)

  - `Credit Card Transactions` (array)

  - `Installment Payments` (array)

  - `ecommercetrans` (array)

  - `Auto Finance Payments` (array)

  - `Student Loan Payments` (array)

  - `Mortgage Payments` (array)

  - `Personal Loan Payments` (array)

  - `Combo (NSF, OD, Return, & Stop)` (array)

  - `MCA Payments` (array)

  - `Other Debits` (array)

  - `Mobile Payments Debits` (array)

  - `Nefarious Withdrawals` (array)

  - `Debt Collector Transactions` (array)

  - `Construction Related Debits` (array)

  - `Combined Account Summary` (array)

  - `Non-MCA Loans` (array)

  - `ATM Withdrawals` (array)

  - `Average True Revenue (6 month)` (object)

  - `Average True Revenue (6 month).labels` (array)

  - `Average True Revenue (6 month).labels.label` (string)

  - `Average True Revenue (6 month).labels.name` (string)

  - `Average True Revenue (6 month).columns` (array)

  - `Average True Revenue (6 month).columns.name` (string)

  - `Average True Revenue (6 month).columns.data` (string)

  - `Average True Revenue (6 month).data` (array)

  - `Average True Revenue (6 month).data.accountNumber` (string)

  - `Average True Revenue (6 month).data.DT_RowId` (string)

  - `Average True Revenue (6 month).data.groups` (array)

  - `Average True Revenue (6 month).data.groups.startDate` (string)

  - `Average True Revenue (6 month).data.groups.endDate` (string)

  - `Average True Revenue (6 month).data.groups.trueRevenueAverage` (number)

  - `Average True Revenue (6 month).data.groups.percentChange` (number)

  - `Average True Revenue (12 month)` (object)

  - `Average True Revenue (12 month).labels` (array)

  - `Average True Revenue (12 month).labels.label` (string)

  - `Average True Revenue (12 month).labels.name` (string)

  - `Average True Revenue (12 month).columns` (array)

  - `Average True Revenue (12 month).columns.name` (string)

  - `Average True Revenue (12 month).columns.data` (string)

  - `Average True Revenue (12 month).data` (array)

  - `Average True Revenue (12 month).data.accountNumber` (string)

  - `Average True Revenue (12 month).data.DT_RowId` (string)

  - `Average True Revenue (12 month).data.groups` (array)

  - `Average True Revenue (12 month).data.groups.startDate` (string)

  - `Average True Revenue (12 month).data.groups.endDate` (string)

  - `Average True Revenue (12 month).data.groups.trueRevenueAverage` (number)

  - `Average True Revenue (12 month).data.groups.percentChange` (number)

  - `Tax Analysis` (array)

  - `Tax Analysis.source` (string)
    Source of the value
    Example: Income Statement

  - `Tax Analysis.form_1120_2014` (number)
    The value.  Repeated for each form included
    Example: 1500.23

  - `Insurance` (array)

  - `Thumbprints` (array)

  - `Thumbprints.account` (string)
    Statement account

  - `Thumbprints.end_date` (string)
    Statement end date

  - `Thumbprints.thumbprint_score` (integer)
    Thumbprint score

  - `Thumbprints.contributing_factors` (string)
    Factors that contributed to the Thumbprint score

  - `Thumbprints.statement_id` (integer)
    Statement identifier

  - `Monthly MCA` (array)

  - `Monthly MCA.month` (date)
    Date in YYYY-MM-DD format
    Example: 2020-03-31

  - `Monthly MCA.workdays` (integer)
    Number of workdays in the month
    Example: 22

  - `Monthly MCA.accounts` (array)

  - `Monthly MCA.accounts.account` (string)
    Account number
    Example: 12345678

  - `Monthly MCA.accounts.lenders` (array)

  - `Monthly MCA.accounts.lenders.lender` (string)
    Name of the MCA lender
    Example: ACME MCA

  - `Monthly MCA.accounts.lenders.withdrawalcount` (integer)
    Number of withdrawals
    Example: 5

  - `Monthly MCA.accounts.lenders.withdrawaltotal` (number)
    Total currency amount of withdrawals
    Example: -15872.20

  - `Monthly MCA.accounts.lenders.deposittotal` (number)
    Total currency amount of deposits
    Example: 20000.00

  - `Monthly MCA.accounts.lenders.depositdate` (string)
    List of YYYY-MM-DD formatted dates of deposits
    Example: 2023-03-09, 2023-03-15

  - `Monthly MCA.accounts.lenders.latestwithdrawalamount` (number)
    Currency amount of latest withdrawalcount
    Example: 511.60

  - `mca_changes` (array)

  - `mca_changes.labels` (array)

  - `mca_changes.labels.label` (string)

  - `mca_changes.labels.name` (string)

  - `mca_changes.columns` (array)

  - `mca_changes.columns.name` (string)

  - `mca_changes.columns.data` (string)

  - `mca_changes.data` (array)

  - `mca_changes.data.DT_RowId` (string)

  - `mca_changes.data.account` (string)
    Account number
    Example: 12345678

  - `mca_changes.data.lender` (string)
    Name of the MCA lender.
    Example: ACME MCA

  - `mca_changes.data.date` (date)
    Date in YYYY-MM-DD format.
    Example: 2020-03-31

  - `mca_changes.data.description` (string)
    The description of the MCA transaction.

  - `mca_changes.data.amount` (float)
    The amount of the withdrawal change.
    Example: -753.53

  - `mca_changes.data.memo` (string)
    The memo from the transacation.

  - `mca_changes.data.checkNumber` (integer)
    The check number.

  - `mca_changes.data.type` (string)
    The type of transaction, if any.

  - `mca_changes.data.change` (float)
    Shows how much a withdrawal changed in a MCA transaction.
    Example: Decrease 215.19

  - `Repeating Transactions` (array)

  - `MCA Transactions` (array)

  - `MCA Fees` (array)

  - `NSF Transactions` (array)

  - `Overdraft Transactions` (array)

  - `Daily Balances` (array)

  - `Daily Balances.event_date` (string)

  - `Daily Balances.balances` (array)

  - `Daily Balances.balances.acctid` (string)
    Account number

  - `Daily Balances.balances.balance` (number)
    Balance counting all transactions

  - `Daily Balances.balances.od_balance` (number)
    Balance counting all transactions and overdrafts

  - `Daily Balances.balances.true_balance` (number)
    Balance counting all transactions except non-true credits

  - `utilities` (array)

  - `Daily Cash Flows` (array)

  - `Daily Cash Flows.event_date` (string)

  - `Daily Cash Flows.balances` (array)

  - `Daily Cash Flows.balances.acctid` (string)
    Account number

  - `Daily Cash Flows.balances.balance` (number)
    All credits minus all debits

  - `Daily Cash Flows.balances.true_balance` (number)
    True credits minus all debits

  - `Monthly Cash Flows` (array)

  - `Credit Transactions` (array)

  - `True Credit Transactions` (array)

  - `Non-True Credit Transactions` (array)

  - `Incoming Transfers` (array)

  - `Outgoing Transfers` (array)

  - `Large Transactions` (array)

  - `Large Credit Transactions` (array)

  - `Returned Transactions` (array)

  - `Monthly Negative Days` (array)

  - `Monthly Negative Days.event_date` (string)
    2020-03-01

  - `Monthly Negative Days.negative_days` (array)

  - `Monthly Negative Days.negative_days.acctid` (string)
    Account numbers
    Example: 123456789

  - `Monthly Negative Days.negative_days.negdayscount` (integer)
    Number of negative days based on all transactions
    Example: 2

  - `Monthly Negative Days.negative_days.odnegdayscount` (integer)
    Number of negative days, including overdrafts
    Example: 2

  - `Monthly Negative Days.negative_days.truenegdayscount` (integer)
    Number of negative days based on true credits and all debits
    Example: 2

  - `Monthly Negative Days.negative_days.negdays` (array)
    Days on which the balance was negative

  - `Monthly Negative Days.negative_days.odnegdays` (array)
    Days on which the balance was negative, including overdrafts

  - `Monthly Negative Days.negative_days.truenegdays` (array)
    Days on which the balance was negative, excluding non-true credits

  - `Monthly Recovery` (array)

  - `Monthly Recovery.month` (date)
    The date in YYYY-MM-DD format.

  - `Monthly Recovery.workdays` (integer)
    The number of workdays in the month.

  - `Monthly Recovery.accounts` (array)

  - `Monthly Recovery.accounts.account` (string)
    Account numbers

  - `Monthly Recovery.accounts.lenders` (array)

  - `Monthly Recovery.accounts.lenders.lender` (string)
    The name of the recovery company.

  - `Monthly Recovery.accounts.lenders.withdrawalcount` (integer)
    The number of withdrawals.
    Example: 5

  - `Monthly Recovery.accounts.lenders.withdrawaltotal` (number)
    The total currency amount of withdrawals.
    Example: -15872.20

  - `Monthly Recovery.accounts.lenders.deposittotal` (number)
    The total currency amount of deposits.
    Example: 20000.00

  - `Monthly Recovery.accounts.lenders.depositdate` (string)
    List of YYYY-MM-DD formatted dates of deposits.
    Example: 2023-03-09, 2023-03-15

  - `Monthly Recovery.accounts.lenders.latestwithdrawalamount` (number)
    The currency amount of latest withdrawal count.
    Example: 511.60

  - `Large Incoming Electronic Transactions` (array)

  - `Transfers` (array)

  - `Non-True Transactions` (array)

  - `True Transactions` (array)

  - `MCA Companies` (array)

  - `MCA Companies.company` (string)
    MCA company name
    Example: ACME MCA

  - `MCA Companies.withdrawalcount` (integer)
    Number of withdrawals
    Example: 6

  - `MCA Companies.withdrawaltotal` (number)
    Currency value of withdrawals
    Example: -23042.12

  - `MCA Companies.withdrawalfrequency` (string)
    Frequency of withdrawals
    Enum: "Daily", "Every Other Day", "Weekly", "Monthly"

  - `MCA Companies.lastwithdrawaldate` (string)
    Date of the latest withdrawal
    Example: 2020-03-15

  - `MCA Companies.lastwithdrawalamount` (number)
    Currency value of the latest withdrawal
    Example: -6085.23

  - `MCA Companies.depositcount` (integer)
    Number of deposits
    Example: 2

  - `MCA Companies.deposittotal` (number)
    Currency value of deposits
    Example: 20523.53

  - `MCA Companies.depositdates` (string)
    List of YYYY-MM-DD formatted dates of deposits
    Example: 2023-03-09, 2023-03-15

  - `MCA Companies.lastdepositdate` (number)
    The last deposit date.
    Example: 2023-03-15

  - `MCA Companies.lastdepositamount` (number)
    The last deposit amount.
    Example: 6000.00

  - `MCA Companies.withholdpercent` (string)
    Percent withholding
    Example: 57%

  - `MCA Companies.term` (number)
    Example: 150.31

  - `MCA Companies.months` (array)

  - `MCA Companies.months.month` (string)
    The first day of the month
    Example: 2020-03-01

  - `MCA Companies.months.workdays` (integer)
    Number of work days in the month
    Example: 22

  - `MCA Companies.months.withdrawalcount` (integer)
    Number of withdrawals
    Example: 6

  - `MCA Companies.months.withdrawaltotal` (number)
    Currency value of withdrawals
    Example: -23042.12

  - `MCA Companies.months.withdrawalfrequency` (string)
    Frequency of withdrawals
    Enum: "Daily", "Every Other Day", "Weekly", "Monthly"

  - `MCA Companies.months.lastwithdrawaldate` (string)
    Date of the latest withdrawal
    Example: 2020-03-15

  - `MCA Companies.months.lastwithdrawalamount` (number)
    Currency value of the latest withdrawal
    Example: -6085.23

  - `MCA Companies.months.depositcount` (integer)
    Number of deposits
    Example: 2

  - `MCA Companies.months.deposittotal` (number)
    Currency value of deposits
    Example: 20523.53

  - `MCA Companies.months.depositdate` (string)
    Example: 2020-03-15

  - `MCA Companies.months.withholdpercent` (string)
    Percent withholding
    Example: 57%

  - `MCA Companies.months.term` (number)
    Example: 150.31

  - `Recovery Companies` (array)

  - `Recovery Companies.company` (string)
    Recovery company name
    Example: ACME Recovery

  - `Recovery Companies.withdrawalcount` (integer)
    Number of withdrawals
    Example: 6

  - `Recovery Companies.withdrawaltotal` (number)
    Currency value of withdrawals
    Example: -23042.12

  - `Recovery Companies.withdrawalfrequency` (string)
    Frequency of withdrawals
    Enum: "Daily", "Every Other Day", "Weekly", "Monthly"

  - `Recovery Companies.lastwithdrawaldate` (string)
    Date of the latest withdrawal
    Example: 2020-03-15

  - `Recovery Companies.lastwithdrawalamount` (number)
    Currency value of the latest withdrawal
    Example: -6085.23

  - `Recovery Companies.depositcount` (integer)
    Number of deposits
    Example: 2

  - `Recovery Companies.deposittotal` (number)
    Currency value of deposits
    Example: 20523.53

  - `Recovery Companies.withholdpercent` (string)
    Percent withholding
    Example: 57%

  - `Recovery Companies.term` (number)
    Example: 150.31

  - `Recovery Companies.months` (array)

  - `Recovery Companies.months.month` (string)
    The first day of the month
    Example: 2020-03-01

  - `Recovery Companies.months.workdays` (integer)
    Number of work days in the month
    Example: 22

  - `Recovery Companies.months.withdrawalcount` (integer)
    Number of withdrawals
    Example: 6

  - `Recovery Companies.months.withdrawaltotal` (number)
    Currency value of withdrawals
    Example: -23042.12

  - `Recovery Companies.months.withdrawalfrequency` (string)
    Frequency of withdrawals
    Enum: "Daily", "Every Other Day", "Weekly", "Monthly"

  - `Recovery Companies.months.lastwithdrawaldate` (string)
    Date of the latest withdrawal
    Example: 2020-03-15

  - `Recovery Companies.months.lastwithdrawalamount` (number)
    Currency value of the latest withdrawal
    Example: -6085.23

  - `Recovery Companies.months.depositcount` (integer)
    Number of deposits
    Example: 2

  - `Recovery Companies.months.deposittotal` (number)
    Currency value of deposits
    Example: 20523.53

  - `Recovery Companies.months.depositdate` (string)
    Example: 2020-03-15

  - `Recovery Companies.months.withholdpercent` (string)
    Percent withholding
    Example: 57%

  - `Recovery Companies.months.term` (number)
    Example: 150.31

  - `Recovery Transactions` (array)

  - `Casino Transactions` (array)

  - `Investments` (array)

  - `Mobile Payments` (array)

  - `Payment Processor Transactions` (array)

  - `Healthcare Claims` (array)

  - `Factoring` (array)

  - `Nefarious Transactions` (array)

  - `All Transactions` (array)

  - `Other Financing Transactions` (array)

  - `Non-Transaction Items` (array)

  - `Payroll` (array)

  - `Tolls` (array)

  - `Nondescript Revenue` (array)

  - `Chinese Market Exposure` (array)

## Response 400:

  - `400` (unknown)
    Bad Request - Invalid Input

## Response 400 fields (application/json):

  - `error` (string)
    Example: No file found to process

## Response 401:

  - `401` (unknown)
    Bad Request - Authentication Error

## Response 401 fields (application/json):

  - `error` (string)
    Example: Bad token

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `error` (string)
    Example: Encountered an unknown error. It has been reported. Please contact support@moneythumb.com for any questions.

  - `requestId` (string)
    Unique identifier for the request, useful for tracing.

## Response 503:

  - `503` (unknown)
    Server Error - Service Unavailable

## Response 503 fields (application/json):

  - `error` (string)
    Example: Service unavailable

